﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SUGUK.Suggestions
{
    public static class SuggestionsActivityFeedConstants
    {
        public const string SuggestionsActivityFeedTimerJob = "SuggestionsActivityFeedTimerJob";

        public const string SuggestionsActivityFeedTimerJobTitle = "Suggestions Activity Feed Job";

        public const string SuggestionsActivityFeedTimeJobLastRunTime = "TimeJobLastRunTime";

        public const string ActivityApplication = "SUGUK.SuggestionsGatherer";

        public const string ResourceFile = "SUGUK.Suggestions";

        #region Activity Types

        /// <summary>
        /// The constants for the activity types.
        /// </summary>
        public static class ActivityType
        {
            /// <summary>
            /// The constants for the suggestion activity type.
            /// </summary>
            public static class Suggestion
            {
                /// <summary>
                /// Returns ActivityFeed_Suggestion_ItemAdded
                /// </summary>
                public const string ItemAdded = "ActivityFeed_Suggestion_ItemAdded";

                /// <summary>
                /// Returns ActivityFeed_Suggestion_ItemAdded_Type_Display
                /// </summary>
                public const string ItemAddedDisplay = "ActivityFeed_Suggestion_ItemAdded_Type_Display";

                /// <summary>
                /// Returns ActivityFeed_Suggestion_ItemAdded_SV_Template_SUI
                /// </summary>
                public const string ItemAddedSVTemplate = "ActivityFeed_Suggestion_ItemAdded_SV_Template";

                /// <summary>
                /// Returns ActivityFeed_Announcement_ItemAdded_MV_Template
                /// </summary>
                public const string ItemAddedMVTemplate = "ActivityFeed_Announcement_ItemAdded_MV_Template";

                /// <summary>
                /// Returns Suggestion
                /// </summary>
                public const string SuggestionContentTypeValue = "Suggestion";
            }
        }

        #endregion
    }
}
